<div>
    <h2 id="page-heading">
        <span jhiTranslate="restaurantApplicationApp.product.home.title">Products</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-product" [routerLink]="['/product/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="restaurantApplicationApp.product.home.createLabel">
            Create new Product
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="table-responsive" *ngIf="products">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="name"><span jhiTranslate="restaurantApplicationApp.product.name">Name</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="description"><span jhiTranslate="restaurantApplicationApp.product.description">Description</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="price"><span jhiTranslate="restaurantApplicationApp.product.price">Price</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="productCategory.name"><span jhiTranslate="restaurantApplicationApp.product.productCategory">Product Category</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let product of products ;trackBy: trackId">
                <td><a [routerLink]="['/product', product.id, 'view' ]">{{product.id}}</a></td>
                <td>{{product.name}}</td>
                <td>{{product.description}}</td>
                <td>{{product.price}}</td>
                <td>
                    <div *ngIf="product.productCategory">
                        <a [routerLink]="['../product-category', product.productCategory?.id, 'view' ]" >{{product.productCategory?.name}}</a>
                    </div>
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['/product', product.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/product', product.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', 'product', { outlets: { popup: product.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div *ngIf="products && products.length">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [maxSize]="5" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
